UFF/Builder.h File Reference
`#include <vector>`
`#include <string>`
`#include <boost/shared_array.hpp>`

Go to the source code of this file.

## Namespaces

| ForceFields
| ForceFields::UFF
| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::UFF
| RDKit::UFF::Tools

## Enumerations

enum | { RDKit::UFF::Tools::RELATION_1_2 = 0, RDKit::UFF::Tools::RELATION_1_3 = 1, RDKit::UFF::Tools::RELATION_1_4 = 2, RDKit::UFF::Tools::RELATION_1_X = 3 }

## Functions

ForceFields::ForceField * | RDKit::UFF::constructForceField (ROMol &mol, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule. More...
ForceFields::ForceField * | RDKit::UFF::constructForceField (ROMol &mol, const AtomicParamVect &params, double vdwThresh=100.0, int confId=-1, bool ignoreInterfragInteractions=true)
| Builds and returns a UFF force field for a molecule. More...
void | RDKit::UFF::Tools::setTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos, boost::uint8_t value)
boost::uint8_t | RDKit::UFF::Tools::getTwoBitCell (boost::shared_array< boost::uint8_t > &res, unsigned int pos)
boost::shared_array< boost::uint8_t > | RDKit::UFF::Tools::buildNeighborMatrix (const ROMol &mol)
void | RDKit::UFF::Tools::addBonds (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | RDKit::UFF::Tools::addAngles (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)
void | RDKit::UFF::Tools::addNonbonded (const ROMol &mol, int confId, const AtomicParamVect &params, ForceFields::ForceField *field, boost::shared_array< boost::uint8_t > neighborMatrix, double vdwThresh=100.0, bool ignoreInterfragInteractions=true)
void | RDKit::UFF::Tools::addTorsions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field, std::string torsionBondSmarts="[!$(*#*)&!D1]~[!$(*#*)&!D1]")
void | RDKit::UFF::Tools::addInversions (const ROMol &mol, const AtomicParamVect &params, ForceFields::ForceField *field)